<?php
namespace App\Models;
use App\Models\BaseModel;
/**
 *  @description 账户列表
 *  @author  system;
 *  @version    1.0
 *  @date 2017-08-18 11:17:45
 *
 */
class UserBanksModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'user_banks';
    /**
    主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
                           'user_id',
                           'bank_name',
                           'bank_number',
                           'bank_phone',
                           'bank_user',
                           'type',
                           'qrcode'
                          ];

    public function user()
    {
        return $this->belongsTo('App\Models\UserInfoModel');
    }

}